Mark Moderation Read
curl --request POST \
--url https://api.member.dev/api/v1/admin/teams/{team_id}/hubs/{hub_id}/moderation/mark-read \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "moderation_read_cursors",
"attributes": {
"seen_through": "2023-11-07T05:31:56Z"
}
}
}
'import requests
url = "https://api.member.dev/api/v1/admin/teams/{team_id}/hubs/{hub_id}/moderation/mark-read"
payload = { "data": {
"type": "moderation_read_cursors",
"attributes": { "seen_through": "2023-11-07T05:31:56Z" }
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
type: 'moderation_read_cursors',
attributes: {seen_through: '2023-11-07T05:31:56Z'}
}
})
};
fetch('https://api.member.dev/api/v1/admin/teams/{team_id}/hubs/{hub_id}/moderation/mark-read', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.member.dev/api/v1/admin/teams/{team_id}/hubs/{hub_id}/moderation/mark-read",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'data' => [
'type' => 'moderation_read_cursors',
'attributes' => [
'seen_through' => '2023-11-07T05:31:56Z'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/vnd.api+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.member.dev/api/v1/admin/teams/{team_id}/hubs/{hub_id}/moderation/mark-read"
payload := strings.NewReader("{\n \"data\": {\n \"type\": \"moderation_read_cursors\",\n \"attributes\": {\n \"seen_through\": \"2023-11-07T05:31:56Z\"\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/vnd.api+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.member.dev/api/v1/admin/teams/{team_id}/hubs/{hub_id}/moderation/mark-read")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/vnd.api+json")
.body("{\n \"data\": {\n \"type\": \"moderation_read_cursors\",\n \"attributes\": {\n \"seen_through\": \"2023-11-07T05:31:56Z\"\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.member.dev/api/v1/admin/teams/{team_id}/hubs/{hub_id}/moderation/mark-read")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/vnd.api+json'
request.body = "{\n \"data\": {\n \"type\": \"moderation_read_cursors\",\n \"attributes\": {\n \"seen_through\": \"2023-11-07T05:31:56Z\"\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}community-moderation-admin
Mark Moderation Read
Advance the caller’s queue cursor. 204, no body.
An optional JSON:API body may carry seen_through. No body, or no seen_through, stamps server now. A naive seen_through is a 422 from the central validation pipeline. API-key callers get 204 and no row.
hub_id is the gate’s canonical actor.hub_id, never the raw path segment.
POST
/
api
/
v1
/
admin
/
teams
/
{team_id}
/
hubs
/
{hub_id}
/
moderation
/
mark-read
Mark Moderation Read
curl --request POST \
--url https://api.member.dev/api/v1/admin/teams/{team_id}/hubs/{hub_id}/moderation/mark-read \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "moderation_read_cursors",
"attributes": {
"seen_through": "2023-11-07T05:31:56Z"
}
}
}
'import requests
url = "https://api.member.dev/api/v1/admin/teams/{team_id}/hubs/{hub_id}/moderation/mark-read"
payload = { "data": {
"type": "moderation_read_cursors",
"attributes": { "seen_through": "2023-11-07T05:31:56Z" }
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
type: 'moderation_read_cursors',
attributes: {seen_through: '2023-11-07T05:31:56Z'}
}
})
};
fetch('https://api.member.dev/api/v1/admin/teams/{team_id}/hubs/{hub_id}/moderation/mark-read', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.member.dev/api/v1/admin/teams/{team_id}/hubs/{hub_id}/moderation/mark-read",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'data' => [
'type' => 'moderation_read_cursors',
'attributes' => [
'seen_through' => '2023-11-07T05:31:56Z'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/vnd.api+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.member.dev/api/v1/admin/teams/{team_id}/hubs/{hub_id}/moderation/mark-read"
payload := strings.NewReader("{\n \"data\": {\n \"type\": \"moderation_read_cursors\",\n \"attributes\": {\n \"seen_through\": \"2023-11-07T05:31:56Z\"\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/vnd.api+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.member.dev/api/v1/admin/teams/{team_id}/hubs/{hub_id}/moderation/mark-read")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/vnd.api+json")
.body("{\n \"data\": {\n \"type\": \"moderation_read_cursors\",\n \"attributes\": {\n \"seen_through\": \"2023-11-07T05:31:56Z\"\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.member.dev/api/v1/admin/teams/{team_id}/hubs/{hub_id}/moderation/mark-read")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/vnd.api+json'
request.body = "{\n \"data\": {\n \"type\": \"moderation_read_cursors\",\n \"attributes\": {\n \"seen_through\": \"2023-11-07T05:31:56Z\"\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Authorizations
Send platform JWTs, contact JWTs, or team API keys as Authorization: Bearer <token>.
Body
application/vnd.api+json
JSON:API body for POST .../moderation/mark-read.
Show child attributes
Show child attributes
Response
Successful Response